aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-batteryapplet/opie-batteryapplet.inc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-opie/opie-batteryapplet/opie-batteryapplet.inc')
-rw-r--r--recipes-opie/opie-batteryapplet/opie-batteryapplet.inc31
1 files changed, 31 insertions, 0 deletions
diff --git a/recipes-opie/opie-batteryapplet/opie-batteryapplet.inc b/recipes-opie/opie-batteryapplet/opie-batteryapplet.inc
new file mode 100644
index 0000000..10b6e90
--- /dev/null
+++ b/recipes-opie/opie-batteryapplet/opie-batteryapplet.inc
@@ -0,0 +1,31 @@
+DESCRIPTION = "Battery Monitor applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "batteryapplet"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+${bindir}/qcop QPE/TaskBar "reloadApplets()"
+ if [ -n "$D" ]; then false; fi
+}
+
+# FILES plugins/applets/libbatteryapplet.so*
+do_install() {
+}
+